# Uses of Class
org.eclipse.ecf.provider.dnssd.DnsSdServiceTypeID

Packages that use DnsSdServiceTypeID
Package
Description
org.eclipse.ecf.provider.dnssd

## Uses of DnsSdServiceTypeID in org.eclipse.ecf.provider.dnssd

Subclasses of DnsSdServiceTypeID in org.eclipse.ecf.provider.dnssd
Modifier and Type
Class
Description
`class`
`BnRDnsSdServiceTypeID`
This ServiceType represents the special RRs defined in chapter 12.
Fields in org.eclipse.ecf.provider.dnssd declared as DnsSdServiceTypeID
Modifier and Type
Field
Description
`protected DnsSdServiceTypeID`
DnsSdDiscoveryContainerAdapter.`targetID`
Methods in org.eclipse.ecf.provider.dnssd with parameters of type DnsSdServiceTypeID
Modifier and Type
Method
Description
`protected org.xbill.DNS.Record[]`
DnsSdDiscoveryContainerAdapter.`getRecords(DnsSdServiceTypeID serviceTypeId)`